package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisHiddMajVeri;

/**
 * 重大隐患核实信息 服务层
 */
public interface IBisHiddMajVeriService {

    /**
     * 查询重大隐患核实信息信息
     * @param guid 查询条件
     * @return 重大隐患核实信息信息
     */
    BisHiddMajVeri selectBisHiddMajVeriByGuid(String guid);

    /**
     * 查询重大隐患核实信息列表
     * @param bisHiddMajVeri 重大隐患核实信息查询条件
     * @return 重大隐患核实信息集合
     */
    List<BisHiddMajVeri> selectBisHiddMajVeriList(BisHiddMajVeri bisHiddMajVeri);

    /**
     * 新增重大隐患核实信息
     * @param bisHiddMajVeri 重大隐患核实信息信息
     * @return 影响行数
     */
    int insertBisHiddMajVeri(BisHiddMajVeri bisHiddMajVeri);

    /**
     * 修改重大隐患核实信息
     * @param bisHiddMajVeri 重大隐患核实信息信息
     * @return 影响行数
     */
    int updateBisHiddMajVeri(BisHiddMajVeri bisHiddMajVeri);

    /**
     * 删除重大隐患核实信息
     * @param guid 重大隐患核实信息主键
     * @return 影响行数
     */
    int deleteBisHiddMajVeriByGuid(String guid);

    /**
     * 批量删除重大隐患核实信息
     * @param guids 重大隐患核实信息主键数组
     * @return 影响行数
     */
    int deleteBisHiddMajVeriByGuids(String[] guids);
}
